package ru.redguy.webinfomod.langs;

import com.google.gson.JsonObject;
import com.google.inject.internal.cglib.core.$ReflectUtils;
import ru.redguy.webinfomod.langs.langcaterories.Difficulty;

public class Words implements RootCategory {
    JsonObject jsonObject;

    public Words(JsonObject jsonObject) {
        this.jsonObject = jsonObject;
    }

    @Override
    public String getString(Object object) {
        if(object instanceof String) {
            return jsonObject.get((String) object).getAsString();
        } else {
            return jsonObject.get(((ru.redguy.webinfomod.langs.enums.Titles) object).getName()).getAsString();
        }
    }

    @Override
    public Category getCategory(Object object) {
        switch (((ru.redguy.webinfomod.langs.enums.Words)object)) {
            case difficulty:
                return new Difficulty(jsonObject.getAsJsonObject("Difficulty"));
        }
        return null;
    }
}
