package ru.redguy.webinfomod.pages;

import fi.iki.elonen.NanoHTTPD;
import org.apache.commons.io.IOUtils;
import ru.redguy.webinfomod.*;
import ru.redguy.webinfomod.langs.Localization;
import ru.redguy.webinfomod.langs.enums.Links;
import ru.redguy.webinfomod.langs.enums.RootCategories;
import ru.redguy.webinfomod.utils.PlaceholdersUtils;
import ru.redguy.webinfomod.utils.WebUtils;

import java.io.IOException;
import java.nio.charset.StandardCharsets;

@WebPage(url = "/")
public class Index implements IWebPage {
    public NanoHTTPD.Response getPage(Config config, NanoHTTPD.IHTTPSession session) throws IOException {
        String path = "/resources/web/index.html";
        String page = IOUtils.toString(WebServer.class.getResourceAsStream(path), StandardCharsets.UTF_8);
        return NanoHTTPD.newFixedLengthResponse(new PlaceholdersUtils(session).work(page));
    }
}
