package ru.redguy.webinfomod.pages.auth;

import fi.iki.elonen.NanoHTTPD;
import org.apache.commons.io.IOUtils;
import ru.redguy.webinfomod.*;
import ru.redguy.webinfomod.langs.Localization;
import ru.redguy.webinfomod.langs.enums.RootCategories;
import ru.redguy.webinfomod.langs.enums.Titles;
import ru.redguy.webinfomod.langs.enums.Words;
import ru.redguy.webinfomod.utils.PlaceholdersUtils;
import ru.redguy.webinfomod.utils.SessionUtils;

import java.io.IOException;
import java.nio.charset.Charset;

@WebPage(url = "/auth")
public class Index implements IWebPage {

    public NanoHTTPD.Response getPage(Config config, NanoHTTPD.IHTTPSession session) throws IOException {
        String path = "/resources/web/auth/index.html";
        String page = IOUtils.toString(WebServer.class.getResourceAsStream(path), Charset.defaultCharset());
        return NanoHTTPD.newFixedLengthResponse(new PlaceholdersUtils(session).work(page));
    }
}
